Create Duplication
curl --request POST \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/duplications \
--header 'Content-Type: application/json' \
--data '
{
"sourceProjectId": "<string>",
"requestKey": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"code": "<string>",
"asPrototype": true,
"clientId": "<string>",
"billingClientId": "<string>",
"lifecycleStatus": "<string>",
"projectLeadId": "<string>",
"plannedStartDate": "<string>",
"targetEndDate": "<string>",
"tagIds": [
"<string>"
],
"memberUserIds": [
"<string>"
],
"areaIds": [
"<string>"
],
"includeItems": true,
"sector": "<string>",
"workType": "<string>",
"specDisciplines": [],
"description": "<string>"
}
'import requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/duplications"
payload = {
"sourceProjectId": "<string>",
"requestKey": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"code": "<string>",
"asPrototype": True,
"clientId": "<string>",
"billingClientId": "<string>",
"lifecycleStatus": "<string>",
"projectLeadId": "<string>",
"plannedStartDate": "<string>",
"targetEndDate": "<string>",
"tagIds": ["<string>"],
"memberUserIds": ["<string>"],
"areaIds": ["<string>"],
"includeItems": True,
"sector": "<string>",
"workType": "<string>",
"specDisciplines": [],
"description": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
sourceProjectId: '<string>',
requestKey: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
code: '<string>',
asPrototype: true,
clientId: '<string>',
billingClientId: '<string>',
lifecycleStatus: '<string>',
projectLeadId: '<string>',
plannedStartDate: '<string>',
targetEndDate: '<string>',
tagIds: ['<string>'],
memberUserIds: ['<string>'],
areaIds: ['<string>'],
includeItems: true,
sector: '<string>',
workType: '<string>',
specDisciplines: [],
description: '<string>'
})
};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/duplications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"requestId": "<string>"
}Projects
Create Duplication
POST
/
v1
/
workspaces
/
{workspaceId}
/
projects
/
duplications
Create Duplication
Path Parameters
Body
application/json
Maximum string length:
255Maximum string length:
100Pattern:
^\d{4}-\d{2}-\d{2}$Pattern:
^\d{4}-\d{2}-\d{2}$Maximum array length:
20Available options:
architectural, finishes, ffe, ose Maximum string length:
2000Available options:
north_america, east_coast, west_coast, europe, middle_east, latin_america, apac Response
202 - application/json
⌘I